Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.logger
Class SystemErrLogger

    java.lang.Object
      |
      +--org.apache.catalina.logger.LoggerBase
            |
            +--org.apache.catalina.logger.SystemErrLogger

public final class SystemErrLogger
extends LoggerBase

Simple implementation of Logger that writes to System.err.

Version:
  $Revision: 1.2 $ $Date: 2001/07/22 20:25:11 $
Author:
  Craig R. McClanahan

Field Summary
`protected static java.lang.String` | `info` The descriptive information about this implementation.

Fields inherited from class org.apache.catalina.logger.LoggerBase
`container, info, support, verbosity`

Constructor Summary
`SystemErrLogger()`

Method Summary
`void` | `log(java.lang.String msg)` Writes the specified message to a servlet log file, usually an event log.

Methods inherited from class org.apache.catalina.logger.LoggerBase
`addPropertyChangeListener, getContainer, getInfo, getVerbosity, log, log, log, log, removePropertyChangeListener, setContainer, setVerbosity, setVerbosityLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected static final java.lang.String info

  The descriptive information about this implementation.

Constructor Detail

### SystemErrLogger

    public SystemErrLogger()

Method Detail

### log

    public void log(java.lang.String msg)

  Writes the specified message to a servlet log file, usually an event log. The name and type of the servlet log is specific to the servlet container.
  Overrides:
    log in class LoggerBase
  Parameters:
    `msg` - A `String` specifying the message to be written to the log file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.